#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		modname		libXaw3d
#-----------------------------------------------------------------------------
Name		:	xorg-x11-libXaw3d
Version		:	1.6.5
Release		:	16.2.0.rel%{?dist}
Summary		:	A version of the MIT Athena widget set for X
Group		:	User Interface/X

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://xorg.freedesktop.org/releases/individual/lib/

Source0		:	%{modname}-%{version}.tar.gz
#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
%description
Xaw3d is an enhanced version of the MIT Athena Widget set for X Window
that adds a 3-dimensional look to the applications with minimal or no
source code changes.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc COPYING README.md
%{_includedir}/X11/Xaw3d/*.h
%{_libdir}/%{modname}*.so*
%{_libdir}/pkgconfig/*.pc
%{_defaultdocdir}/%{name}-%{version}/README.XAW3D

#=============================================================================
%prep
%setup -q -n %{modname}-%{version}


#-----------------------------------------------------------------------------
#building application
%build

./configure						\
	$XORG_CONFIG					\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--enable-config-udev				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}
%{__make}						\
	DESTDIR="%{buildroot}"				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%changelog
